Name:           goodbye
Version:        0.0.1
Release:        1%{?dist}
Summary:        GoodBye for GNOME 44
License:        GPLv3+
URL:            https://wiki.gnome.org/Apps/GoodBye
Source:         %{url}/src/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gtk3-devel
BuildRequires:  pango
BuildRequires:  libchamplain-devel
BuildRequires:  libxml2-devel
BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  libappstream-glib
BuildRequires:  clutter-gtk
BuildRequires:  desktop-file-utils
BuildRequires:  geoclue2-devel
BuildRequires:  geocode-glib-devel
BuildRequires:  gstreamer1-devel
BuildRequires:  gstreamer1-plugins-bad-free-devel
BuildRequires:  gstreamer1-plugins-base-devel
Requires:       gstreamer1 >= 1.8.3
Requires:       gstreamer1-plugins-ugly-free >= 1.8.3
Requires:       geocode-glib >= 3.20.1
Requires:       gtk4 >= 4.8.2
Requires:       geoclue2 >= 2.5.7

%description
GoodBye is a Free Software program that allows you easily
participate on Free Public GoodBye broadcasts under GNOME 44.

GoodBye is developed on the GNOME desktop platform and
it requires GTK 4, Clutter and GStreamer 1.0 for playback.

Enjoy Free Public GoodBye broadcasts under GNOME 44.

%prep
%setup -q

%build
%configure --disable-silent-rules --disable-schemas
%make_build
%install
%make_install
%find_lang %{name}
%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{name}.appdata.xml
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
%files -f %{name}.lang
%doc AUTHORS NEWS README ChangeLog
%license COPYING
%{_bindir}/%{name}
%{_metainfodir}/%{name}.appdata.xml
%{_datadir}/%{name}/GoodBye.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/GoodBye.svg

%changelog
* Wed Dec 21 2022 Ole Aamot <ole@gnome.org> - 0.0.1-1
- GoodBye 0.0.1 build on Fedora Linux 37
